<?php
/**
 * The main template file.
 *
 * @package Hitoma
 */

?>
<?php get_header(); ?>

<!-- メイン -->
<main>
	<?php get_template_part( 'main_image' ); ?>

    <!-- コンテンツ -->
    <?php for ( $i = 1; $i <= DEFAULT_CONTENTS_NUM; $i++ ) : ?>
        <?php
            $content_id = 'hitoma-theme_options-content' . $i;
            if ( hitoma_is_page_exists_by_slug( $content_id ) ) :
        ?>
            <section class="contents-container">
                <div class="contents">
                    <?php
                        // 固定ページを取得してコンテンツエリアに表示
                        $page_title   = hitoma_get_page_title_from_theme_mod_id( $content_id );
                        $page_content = hitoma_get_page_content_from_theme_mod_id( $content_id );
                    ?>
                    <h1><?php echo esc_html( $page_title ); ?></h1>
                    <?php echo $page_content; ?>
                </div>
            </section>
        <?php endif; ?>
    <?php endfor; ?>
    <!-- /コンテンツ -->
</main>
<!-- /メイン -->

<?php get_template_part( 'map' ); ?>
<?php get_footer(); ?>
