<?php
/**
 * Hitoma constant
 *
 * @package Hitoma
 */

$template_url = get_template_directory_uri();

define( 'THEME_NAME', 'Hitoma' );
define( 'THEME_URL', 'https://soooooko.com/wp-theme/hitoma' );

define( 'DEFAULT_TITLE_FONT_SIZE', 26 );
define( 'DEFAULT_LOGO_IMAGE_URL', $template_url . '/assets/images/logo.png' );
define( 'DEFAULT_LOGO_MARGIN_RIGHT', 10 );
define( 'DEFAULT_TITLE_MARGIN_TOP', 0 );
define( 'DEFAULT_MAIN_IMAGE_URL', $template_url . '/assets/images/main_image.jpg' );
define( 'DEFAULT_MAIN_IMAGE_MARGIN_BOTTOM', false );
define( 'DEFAULT_META_DESCRIPTION', '○○パン工房は○○県○○区にある毎日焼きたての美味しいパンを提供するお店です。ほっとほっぺたが緩むようなパンから新感覚のパンまで色とりどりのパンを扱っています。ぜひお立ち寄りください。' );
define( 'DEFAULT_CATCH_PHRASE', 'シンプルな無料Wordpressテーマです。' );
define( 'DEFAULT_CATCH_PHRASE_COLOR', '#ffffff' );
define( 'DEFAULT_BACKGROUND_COLOR', '#f5f5f5' );
define( 'DEFAULT_CONTENTS_BACKGROUND_COLOR', '#ffffff' );
define( 'DEFAULT_CONTACT_NUMBER_TEL', 'TEL 000-0000-0000' );
define( 'DEFAULT_CONTACT_NUMBER_FAX', '' );
define( 'DEFAULT_CONTACT_NUMBER_TEXT1', '平日8:00～17:00' );
define( 'DEFAULT_CONTACT_NUMBER_TEXT2', '土日祝日休み' );
define( 'DEFAULT_CONTENTS_NUM', 10 );
define( 'DEFAULT_CONTENT_PRIVACY_POLICY_SLUG', 'privacy-policy' );
define( 'DEFAULT_ORIGINAL_MAP_IMAGE_URL', $template_url . '/assets/images/map.jpg' );

define( 'THEME_VERSION', '1.0.0' );
define( 'CSS_VERSION', '1.0.0' );
define( 'SCRIPT_VERSION', '1.0.0' );
