<?php
/**
 * The template for displaying all pages.
 *
 * @package Hitoma
 */

?>

<?php get_header(); ?>

<main>
	<?php get_template_part( 'main_image' ); ?>

    <!-- コンテンツ -->
	<?php while ( have_posts() ) : the_post(); ?>
        <section class="contents-container">
            <div class="contents">
                <h1><?php echo esc_html( the_title() ); ?></h1>
                <?php the_content(); ?>
            </div>
        </section>
	<?php endwhile; ?>
    <!-- /コンテンツ -->
</main>

<!-- トップページへ戻るボタン -->
<div class="back">
    <a class="button" href="<?php echo esc_url( home_url( '/' ) ); ?>">トップページへ戻る</a>
</div>
<!-- /トップページへ戻るボタン -->

<?php get_template_part( 'map' ); ?>
<?php get_footer(); ?>

